1. Sales Goals
Easyteam Retail
  • Home
  • Staff
    • Get all staff members
      GET
    • Get a single staff member
      GET
  • Scheduling
    • Get published shift schedules
      GET
  • Timesheets
    • Get timesheets summary
      GET
    • Get detailed timesheets an employee
      GET
  • Commissions
    • Get commissions summary
      GET
    • Get detailed commissions breakdown for a staff member
      GET
  • Sales Goals
    • Get sales goals data
      GET
  1. Sales Goals

Get sales goals data

GET
/api/rest/sales-goals/shop/{shopId}
Returns sales goal and actual sales (and labor goals) for the given Shopify location and date range. Goals are aligned by week (Monday start).

Request

Authorization
Path Params

Query Params

Responses

🟢200
application/json
Sales goals and actuals for the location and range
Body

🟠400
🟠404
🟠429
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET '/api/rest/sales-goals/shop/?locationId&from&to'
Response Response Example
{
    "success": true,
    "data": {
        "locationId": 0,
        "shopifyLocationId": 0,
        "from": "string",
        "to": "string",
        "weekly": [
            {
                "weekStart": "string",
                "salesGoal": 0,
                "actualSales": 0,
                "laborCostGoal": 0,
                "laborAmount": 0
            }
        ],
        "totalSalesGoal": 0,
        "totalActualSales": 0,
        "totalLaborCostGoal": 0,
        "totalLaborAmount": 0
    }
}
Previous
Get detailed commissions breakdown for a staff member